Skip to content

OLT ​

21 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
moveToSitePOSTMove OLT to another site
getDetailGETGet OLT info
modifyOltConfigPATCHModify olt config
getEthAndPonListGETGet pon port and eth port of OLT
editLagsConfigListPOSTBatch modify ETH LAG(Link Aggregation Group) config
getLagsConfigListGETGet ETH LAG(Link Aggregation Group) config list
editPortsConfigListPOSTBatch Modify ETH Unit1 port of olt
getPortsConfigListGETGet ETH Unit1 port list of olt
editManagementSystemInterfacesPOSTModify OLT Management System Interface
getManagementSystemInterfacesGETGet OLT Management System Interface list
getConfigGETGet OLT description info
editConfigPOSTModify OLT description info
rebootNowPOSTReboot OLT
getOltPortsDDMStatusPOSTGet DDM(Digital Diagnostic Monitoring) status list of OLT port list
mspMoveToCustomer_1POSTMove OLT to another customer(MSP mode)
getEthAndPonListForMspGETGet pon port and eth port of OLT(MSP mode)
getOltDetailForMspGETGet OLT info(MSP mode)
modifyOltConfigForMspPATCHModify olt config(MSP mode)
getPortsConfigListForMspGETGet ETH Unit1 port list of olt(MSP mode)
getConfigForMspGETGet OLT description info(MSP mode)
editConfigForMspPOSTModify OLT description info(MSP mode)

moveToSite ​

POST /openapi/v1/{omadacId}/sites/{siteId}/cmd/olts/move

Move OLT to another site

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema MoveToSiteVO

FieldTypeRequiredDescription
deviceMacsarray<string>noDevice macs.If only stacking is migrated, then it is empty.
stackIdsarray<string>noThe stack to be migrated; all stack members are migrated together during the migration.
sitestringyesTarget site key
json
// omada_call_operation
{
  "operationId": "moveToSite",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Move OLT to another site
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.
-33000 - This site does not exist.
-44261 - The device does not support cluster and can only be adopted to its own site.

getDetail ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}

Get OLT info

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getDetail",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get OLT info
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.

modifyOltConfig ​

PATCH /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}

Modify olt config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema OltConfigModifyDTO

FieldTypeRequiredDescription
namestringnoDevice name,default value is the mac address of device
tagIdsarray<string>noTag ID list
locationDeviceLocationDetailVOno(DeviceLocationDetailVO not expanded; call omada_get_schema "DeviceLocationDetailVO")
json
// omada_call_operation
{
  "operationId": "modifyOltConfig",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify olt config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.
-39093 - The length of the device name exceeds the limit.
-45000 - This OLT does not exist.

getEthAndPonList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/eth-port/and/pon-port/list

Get pon port and eth port of OLT

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getEthAndPonList",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get pon port and eth port of OLT
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

editLagsConfigList ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/l2-feature/eth-port/port/lags/edit

Batch modify ETH LAG(Link Aggregation Group) config

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema EthLagPortAppListDTO

FieldTypeRequiredDescription
dtosarray<EthLagPortAppDTO>yes
json
// omada_call_operation
{
  "operationId": "editLagsConfigList",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch modify ETH LAG(Link Aggregation Group) config
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
-45007 - The deviceResponseBody returned by the device has an error code other than 0

getLagsConfigList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/l2-feature/eth-port/port/lags/list

Get ETH LAG(Link Aggregation Group) config list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getLagsConfigList",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get ETH LAG(Link Aggregation Group) config list
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

editPortsConfigList ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/l2-feature/eth-port/port/unit1/edit

Batch Modify ETH Unit1 port of olt

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema EthUnit1PortAppListDTO

FieldTypeRequiredDescription
dtosarray<EthUnit1PortAppDTO>yes
json
// omada_call_operation
{
  "operationId": "editPortsConfigList",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Batch Modify ETH Unit1 port of olt
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.
-45007 - The deviceResponseBody returned by the device has an error code other than 0

getPortsConfigList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/l2-feature/eth-port/port/unit1/list

Get ETH Unit1 port list of olt

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getPortsConfigList",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get ETH Unit1 port list of olt
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

editManagementSystemInterfaces ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/system/management-system-interface/edit

Modify OLT Management System Interface

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema ManagementSystemInterfaceDTO

FieldTypeRequiredDescription
systemInterfacesarray<SystemInterfaceDTO>noManagement System Interfaces.
json
// omada_call_operation
{
  "operationId": "editManagementSystemInterfaces",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify OLT Management System Interface.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-45014 - Interface ID error.
-45015 - Interface type error.
-45016 - Interface value error.
-45017 - The interface does not exist.

getManagementSystemInterfaces ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/system/management-system-interface/get

Get OLT Management System Interface list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getManagementSystemInterfaces",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get OLT Management System Interface list.
The interface requires one of the permissions:
Site Device Manager View Only

getConfig ​

GET /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/system/system-info/configs

Get OLT description info

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getConfig",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get OLT description info
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

editConfig ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/system/system-info/configs/edit

Modify OLT description info

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema SystemInfoAppModifyDTO

FieldTypeRequiredDescription
deviceNamestringnoDevice name should contain 1-32 bits numbers, Upper and lower letters, -@_😕. .
deviceLocationstringnoDevice location should contain 1-32 bits numbers, Upper and lower letters, -@_😕. .
contactInformationstringnoContact information should contain 1-32 bits numbers, Upper and lower letters, -@_😕. .
json
// omada_call_operation
{
  "operationId": "editConfig",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify OLT description info
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

rebootNow ​

POST /openapi/v1/{omadacId}/sites/{siteId}/olts/{deviceMac}/system/system-tools/reboot/now

Reboot OLT

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "rebootNow",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Reboot OLT
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

getOltPortsDDMStatus ​

POST /openapi/v1/{omadacId}/sites/{siteId}/stat/olt/{deviceMac}/ddm/info

Get DDM(Digital Diagnostic Monitoring) status list of OLT port list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema DDMStatusRequestVO

FieldTypeRequiredDescription
portListarray<string>noPort list of device
json
// omada_call_operation
{
  "operationId": "getOltPortsDDMStatus",
  "params": {
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get DDM(Digital Diagnostic Monitoring) status list of OLT port list
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

mspMoveToCustomer_1 ​

POST /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/cmd/olts/move

Move OLT to another customer(MSP mode)

ParameterInTypeRequiredDescription
mspIdpathstringautomspId (filled in automatically)
customerIdpathstringyescustomerId
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema MoveToCustomerVO

FieldTypeRequiredDescription
deviceMacsarray<string>yesDeviceMacs should contain 1 entry
customerstringyesTarget customer ID
sitestringyesTarget site ID
json
// omada_call_operation
{
  "operationId": "mspMoveToCustomer_1",
  "params": {
    "customerId": "<customerId>",
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Move OLT to another customer(MSP mode)
The interface requires one of the permissions:
MSP Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-30028 - Operation failed because other operations (backuping, site copying, customer copying, etc.) are being performed on this organization. Please wait and try again later.
-33000 - This site does not exist.
-39050 - This device does not exist.
-39051 - Operation failed. Please try again later.

getEthAndPonListForMsp ​

GET /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/eth-port/and/pon-port/list

Get pon port and eth port of OLT(MSP mode)

ParameterInTypeRequiredDescription
mspIdpathstringautomspId (filled in automatically)
customerIdpathstringyescustomerId
siteIdpathstringyesSite ID (site ID or site name)
json
// omada_call_operation
{
  "operationId": "getEthAndPonListForMsp",
  "params": {
    "customerId": "<customerId>",
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get pon port and eth port of OLT(MSP mode)
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

getOltDetailForMsp ​

GET /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/olts/{deviceMac}

Get OLT info(MSP mode)

ParameterInTypeRequiredDescription
mspIdpathstringautomspId (filled in automatically)
customerIdpathstringyescustomerId
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getOltDetailForMsp",
  "params": {
    "customerId": "<customerId>",
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get OLT info(MSP mode)
The interface requires one of the permissions:
MSP Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.

modifyOltConfigForMsp ​

PATCH /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/olts/{deviceMac}

Modify olt config(MSP mode)

ParameterInTypeRequiredDescription
mspIdpathstringautomspId (filled in automatically)
customerIdpathstringyescustomerId
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema OltConfigModifyDTO

FieldTypeRequiredDescription
namestringnoDevice name,default value is the mac address of device
tagIdsarray<string>noTag ID list
locationDeviceLocationDetailVOno(DeviceLocationDetailVO not expanded; call omada_get_schema "DeviceLocationDetailVO")
json
// omada_call_operation
{
  "operationId": "modifyOltConfigForMsp",
  "params": {
    "customerId": "<customerId>",
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify olt config(MSP mode)
The interface requires one of the permissions:
MSP Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39051 - Operation failed. Please try again later.
-39093 - The length of the device name exceeds the limit.
-45000 - This OLT does not exist.

getPortsConfigListForMsp ​

GET /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/olts/{deviceMac}/l2-feature/eth-port/port/unit1/list

Get ETH Unit1 port list of olt(MSP mode)

ParameterInTypeRequiredDescription
mspIdpathstringautomspId (filled in automatically)
customerIdpathstringyescustomerId
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getPortsConfigListForMsp",
  "params": {
    "customerId": "<customerId>",
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get ETH Unit1 port list of olt(MSP mode)
The interface requires one of the permissions:
MSP Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

getConfigForMsp ​

GET /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/olts/{deviceMac}/system/system-info/configs

Get OLT description info(MSP mode)

ParameterInTypeRequiredDescription
mspIdpathstringautomspId (filled in automatically)
customerIdpathstringyescustomerId
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF
json
// omada_call_operation
{
  "operationId": "getConfigForMsp",
  "params": {
    "customerId": "<customerId>",
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  }
}
Details, permissions and error codes

Get OLT description info(MSP mode)
The interface requires one of the permissions:
MSP Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

editConfigForMsp ​

POST /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/olts/{deviceMac}/system/system-info/configs/edit

Modify OLT description info(MSP mode)

ParameterInTypeRequiredDescription
mspIdpathstringautomspId (filled in automatically)
customerIdpathstringyescustomerId
siteIdpathstringyesSite ID (site ID or site name)
deviceMacpathstringyesDevice MAC address, like AA-BB-CC-DD-EE-FF

Request body — application/json (required) — schema SystemInfoAppModifyDTO

FieldTypeRequiredDescription
deviceNamestringnoDevice name should contain 1-32 bits numbers, Upper and lower letters, -@_😕. .
deviceLocationstringnoDevice location should contain 1-32 bits numbers, Upper and lower letters, -@_😕. .
contactInformationstringnoContact information should contain 1-32 bits numbers, Upper and lower letters, -@_😕. .
json
// omada_call_operation
{
  "operationId": "editConfigForMsp",
  "params": {
    "customerId": "<customerId>",
    "siteId": "<siteId>",
    "deviceMac": "<deviceMac>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify OLT description info(MSP mode)
The interface requires one of the permissions:
MSP Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-45000 - This OLT does not exist.
-45001 - The OLT is offline. Please reconnect
-45002 - OLT upgrading... Cannot manage the device now.
-45003 - OLT rebooting... Cannot manage the device now.

Released under the MIT License. Not affiliated with or endorsed by TP-Link.